Subject: Re: bug#23039: 25.0.92; New Emacs icon blurry in GNOME on Fedora

From: [email-masked] (N. Jackson)
Date: Mon, 21 Mar 2016 11:57:49 -0300

At 13:14 +0100 on Monday 2016-03-21, Nicolas Petton wrote:

> My guess is that GNOME doesn't pick the correct icon from
> ~/local/share/icons/hicolor/. Can you try installing the tarball in
> /usr/local/?

Yes. I have now done that with [effectively] this build script:

    ./autogen.sh
    ./configure --prefix=/usr/local/
    make
    sudo make install

And that gives me nice sharp icons! (Screenshot attached.)

So, does this mean that the problem was user error? (That is, if the
user wants to install to an arbitrary tree, it is their responsibility
to configure their system so that it can find not only the binary, but
also other needed resources (i.e. the higher resolution icon).)

Or does it mean that the make install target needs to be improved so
that installation to an arbitrary tree works properly out of the box?